Retrieve Complete Audit History for a Single Document
Retrieve complete audit history for a single document.
GET
/api/{version}/objects/documents/{doc_id}/audittrailHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{doc_id} | The document ID for which to retrieve audit history. |
Query Parameters
Section link for Query Parameters| Name | Description |
|---|---|
start_date | Specify a start date to retrieve audit history. Dates must be YYYY-MM-DDTHH:MM:SSZ format, for example, 7AM on January 15, 2018 would use 2018-01-15T07:00:00Z. If omitted, defaults to the Vault's creation date. |
end_date | Specify an end date to retrieve audit history. Dates must be YYYY-MM-DDTHH:MM:SSZ format, for example, 7AM on January 15, 2018 would use 2018-01-15T07:00:00Z. If omitted, defaults to today's date. |
format_result | To request a CSV file of your audit history, use csv. The CSV file ignores the start_date and end_date. |
limit | Paginate the results by specifying the maximum number of histories per page in the response. This can be any value between 1 and 1000. If omitted, defaults to 200. |
offset | Paginate the results displayed per page by specifying the amount of offset from the entry returned. For example, if you are viewing the first 50 results (page 1) and want to see the next page, set this to offset=51. If omitted, defaults to 0. |
Dates and times are in UTC. If the time is not specified, it will default to midnight (T00:00:00Z) on the specified date.
Request
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v22.3/objects/documents/42/audittrail?start_date=2021-04-22T23:00:00Z&end_date=2021-04-24T23:00:00ZResponse
Section link for Response{
"responseStatus": "SUCCESS",
"responseDetails": {
"offset": 0,
"limit": 200,
"size": 2,
"total": 2,
"object": {
"name": "document_audit_trail",
"label": "Document Audit Trail",
"url": "/api/v22.3/metadata/audittrail/document_audit_trail"
}
},
"data": [
{
"id": "404",
"timestamp": "2021-04-23T23:28:38Z",
"user_name": "olive@veepharm.com",
"full_name": "Olivia Cattington",
"action": "EditDocRelationships",
"item": "VV-00016",
"field_name": "Supporting Documents",
"old_value": null,
"new_value": "VV-00003",
"workflow_name": null,
"task_name": null,
"signature_meaning": null,
"view_license": null,
"job_instance_id": null,
"doc_id": "42",
"version": "0.1",
"document_url": "/ui/#doc_info/42/0/1",
"event_description": "\"VV-00003\" was added as a \"Supporting Documents\" relation"
},
{
"id": "403",
"timestamp": "2021-04-23T23:28:04Z",
"user_name": "olive@veepharm.com",
"full_name": "Olivia Cattington",
"action": "GetDocumentVersion",
"item": "VV-00016",
"field_name": null,
"old_value": null,
"new_value": null,
"workflow_name": null,
"task_name": null,
"signature_meaning": null,
"view_license": null,
"job_instance_id": null,
"doc_id": "42",
"version": "0.1",
"document_url": "/ui/#doc_info/42/0/1",
"event_description": "Viewed Document"
}
]
}Response Details
Section link for Response DetailsOn SUCCESS, the response includes some of the following metadata: